## magit-annex 1.3.0

=== Makefile ===
MAGIT_DIR ?=
DASH_DIR ?=
WITH_EDITOR_DIR ?=
LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(MAGIT_DIR)
BATCH = emacs -Q --batch $(LOAD_PATH)

all: magit-annex.elc magit-annex-autoloads.el

.PHONY: test
test: magit-annex.elc
	@$(BATCH) -L . -l magit-annex-tests.el \
	--eval "(ert-run-tests-batch-and-exit '(not (tag interactive)))"

.PHONY: clean
clean:
	$(RM) magit-annex.elc magit-annex-autoloads.el

%.elc: %.el
	@$(BATCH) -f batch-byte-compile $<

%-autoloads.el: %.el
	@$(BATCH) --eval \
	"(let (make-backup-files) \
	  (update-file-autoloads \"$(CURDIR)/$<\" t \"$(CURDIR)/$@\"))"

=== debian/changelog ===
magit-annex (1.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #851334).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 04 Feb 2017 14:14:21 -0700

## magit-annex 1.3.1

=== debian/changelog ===
magit-annex (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Source: in d/copyright.
  * Update upstream copyright years in d/copyright.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 02 Jun 2017 06:18:05 +0100

=== debian/control ===
Source: magit-annex
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10),
 dash-el,
 dh-elpa,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit-annex.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit-annex.git
Homepage: https://github.com/magit/magit-annex
Testsuite: autopkgtest

Package: elpa-magit-annex
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
 emacsen-common (>= 2.0.8),
 git-annex,
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs24,
 emacs25,
 git-annex,
Suggests: elpa-git-annex
Built-Using: ${misc:Built-Using}
Description: git-annex subcommands for magit
 This package adds some git-annex subcommands to magit's interface,
 under the '@' prefix key.  See the descriptions of the git-annex and
 elpa-magit packages.
 .
 Some examples of operations supported by this package:
 .
   * adding untracked files with `git annex add`
   * displaying information about unused files listed by `git annex unused`
   * locking and unlocking files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# Under sbuild, the test suite can randomly fail with a "Not a git
# repository" error from git.  Until this is tracked down, disable the
# test suite at package build time.  Run all tests during autopkgtest
override_dh_elpa_test:

## magit-annex 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
-MAGIT_DIR ?=
-DASH_DIR ?=
-WITH_EDITOR_DIR ?=
+
+-include config.mk
+
+MAGIT_DIR ?= /dev/null
+DASH_DIR ?= /dev/null
+WITH_EDITOR_DIR ?= /dev/null
+
 LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(MAGIT_DIR)
 BATCH = emacs -Q --batch $(LOAD_PATH)

=== debian/changelog ===
magit-annex (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Override dh_auto_build to do nothing.
  * Bump standards version to 4.1.0 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 23 Sep 2017 14:03:37 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10),
  dash-el,
  dh-elpa,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit-annex.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit-annex.git
 Homepage: https://github.com/magit/magit-annex

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,5 @@
 # repository" error from git.  Until this is tracked down, disable the
 # test suite at package build time.  Run all tests during autopkgtest
 override_dh_elpa_test:
+
+override_dh_auto_build:

## magit-annex 1.5.0

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,13 @@
 -include config.mk
 
 MAGIT_DIR ?= /dev/null
+MAGIT_POPUP_DIR ?= /dev/null
+GHUB_DIR ?= /dev/null
 DASH_DIR ?= /dev/null
 WITH_EDITOR_DIR ?= /dev/null
 
-LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(MAGIT_DIR)
+LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(GHUB_DIR) \
+	    -L $(MAGIT_POPUP_DIR) -L $(MAGIT_DIR)
 BATCH = emacs -Q --batch $(LOAD_PATH)
 
 all: magit-annex.elc magit-annex-autoloads.el

## magit-annex 1.6.0

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,11 @@
 GHUB_DIR ?= /dev/null
 DASH_DIR ?= /dev/null
 WITH_EDITOR_DIR ?= /dev/null
+EMACSBIN ?= emacs
 
 LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(GHUB_DIR) \
 	    -L $(MAGIT_POPUP_DIR) -L $(MAGIT_DIR)
-BATCH = emacs -Q --batch $(LOAD_PATH)
+BATCH = $(EMACSBIN) -Q --batch $(LOAD_PATH)
 
 all: magit-annex.elc magit-annex-autoloads.el

=== debian/changelog ===
magit-annex (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Jul 2018 20:40:52 +0800

magit-annex (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Disable the flaky test suite in autopkgtest, too (Closes: #900870).
    Previously disabled only during the package build.
    Reported upstream: https://github.com/magit/magit-annex/issues/19
    - Override dh_auto_test to do nothing.
  * Point Vcs-* at salsa.
  * Drop superfluous Testsuite: field.
  * Update Maintainer for team rename.
  * Drop Built-Using.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jun 2018 11:31:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: magit-annex
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10),
  dash-el,
  dh-elpa,
 Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit-annex.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magit-annex.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-annex
+Vcs-Git: https://salsa.debian.org/emacsen-team/magit-annex.git/
 Homepage: https://github.com/magit/magit-annex
-Testsuite: autopkgtest
 
 Package: elpa-magit-annex
 Architecture: all
@@ -23,7 +22,6 @@
  emacs25,
  git-annex,
 Suggests: elpa-git-annex
-Built-Using: ${misc:Built-Using}
 Description: git-annex subcommands for magit
  This package adds some git-annex subcommands to magit's interface,
  under the '@' prefix key.  See the descriptions of the git-annex and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build:

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: dh_elpa_test --autopkgtest
Restrictions: rw-build-tree
Depends: @, @builddeps@,
 elpa-magit,
 elpa-magit-popup,
 git-annex,

## magit-annex 1.7.1

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,14 @@
 MAGIT_DIR ?= /dev/null
 MAGIT_POPUP_DIR ?= /dev/null
 GHUB_DIR ?= /dev/null
+GRAPHQL_DIR ?= /dev/null
+TREEPY_DIR ?= /dev/null
 DASH_DIR ?= /dev/null
 WITH_EDITOR_DIR ?= /dev/null
 EMACSBIN ?= emacs
 
 LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(GHUB_DIR) \
+	    -L $(GRAPHQL_DIR) -L $(TREEPY_DIR) \
 	    -L $(MAGIT_POPUP_DIR) -L $(MAGIT_DIR)
 BATCH = $(EMACSBIN) -Q --batch $(LOAD_PATH)

=== debian/changelog ===
magit-annex (1.7.1-3) unstable; urgency=medium

  * Drop spurious slash from end of Vcs-Git field value.
  * Comment out magit-annex-unlock-lock-files test (Closes: #952304).
    See https://github.com/magit/magit-annex/issues/23 -- test logic is
    out-of-date.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Feb 2020 10:19:43 -0700

magit-annex (1.7.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 20:41:34 -0300

magit-annex (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Dec 2018 08:01:47 +0000

magit-annex (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 21 Jul 2018 17:07:50 +0800

magit-annex (1.6.0-2~exp1) experimental; urgency=medium

  * Re-enable the test suite at both build time and autopkgtest.
    Upstream hopes to have fixed it in this release.
    - Move deps from d/tests/control to d/control
    - Drop d/tests/control
    - Tidy up d/rules.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Jul 2018 20:57:26 +0800

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,13 @@
 Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends: debhelper (>= 10),
  dash-el,
+ elpa-magit,
+ elpa-magit-popup,
+ git-annex,
  dh-elpa,
 Standards-Version: 4.1.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-annex
-Vcs-Git: https://salsa.debian.org/emacsen-team/magit-annex.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/magit-annex.git
 Homepage: https://github.com/magit/magit-annex
 
 Package: elpa-magit-annex

## magit-annex 1.7.1+git20200427.01.ef5dce62

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 -include config.mk
 
 MAGIT_DIR ?= /dev/null
-MAGIT_POPUP_DIR ?= /dev/null
+LV_DIR ?= /dev/null
+TRANSIENT_DIR ?= /dev/null
 GHUB_DIR ?= /dev/null
 GRAPHQL_DIR ?= /dev/null
 TREEPY_DIR ?= /dev/null
@@ -12,7 +13,7 @@
 
 LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(GHUB_DIR) \
 	    -L $(GRAPHQL_DIR) -L $(TREEPY_DIR) \
-	    -L $(MAGIT_POPUP_DIR) -L $(MAGIT_DIR)
+	    -L $(LV_DIR) -L $(TRANSIENT_DIR) -L $(MAGIT_DIR)
 BATCH = $(EMACSBIN) -Q --batch $(LOAD_PATH)
 
 all: magit-annex.elc magit-annex-autoloads.el

=== debian/changelog ===
magit-annex (1.7.1+git20200427.01.ef5dce62-1) unstable; urgency=medium

  * Upload again with orig.tar made from the correct upstream commit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 07 Jul 2020 23:13:17 -0700

magit-annex (1.7.1+git20200427.1.ef5dce62-1) unstable; urgency=medium

  * Package new upstream snapshot, for compatibility with magit snapshot
    which has been uploaded to unstable (Closes: #964437).
  * Update build-deps elpa-magit-popup -> elpa-transient.
  * Revert commenting out of magit-annex-unlock-lock-files test.
    Fixed in this upstream snapshot.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 07 Jul 2020 23:10:17 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10),
  dash-el,
  elpa-magit,
- elpa-magit-popup,
+ elpa-transient,
  git-annex,
  dh-elpa,
 Standards-Version: 4.1.0

## magit-annex 1.8.0

=== debian/changelog ===
magit-annex (1.8.0-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 and emacs25 from Enhances (packages do not exist in
    bullseye).

  [ Sean Whitton ]
  * New upstream release.
  * Update build-dep dash-el -> elpa-dash (Closes: #995585).
  * Update upstream copyright years.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 02 Oct 2021 10:13:04 -0700

## magit-annex 1.8.1

=== Makefile ===
--- 
+++ 
@@ -2,18 +2,13 @@
 -include config.mk
 
 MAGIT_DIR ?= /dev/null
-LV_DIR ?= /dev/null
 TRANSIENT_DIR ?= /dev/null
-GHUB_DIR ?= /dev/null
-GRAPHQL_DIR ?= /dev/null
-TREEPY_DIR ?= /dev/null
 DASH_DIR ?= /dev/null
 WITH_EDITOR_DIR ?= /dev/null
 EMACSBIN ?= emacs
 
-LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(GHUB_DIR) \
-	    -L $(GRAPHQL_DIR) -L $(TREEPY_DIR) \
-	    -L $(LV_DIR) -L $(TRANSIENT_DIR) -L $(MAGIT_DIR)
+LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(TRANSIENT_DIR) \
+	    -L $(MAGIT_DIR)
 BATCH = $(EMACSBIN) -Q --batch $(LOAD_PATH)
 
 all: magit-annex.elc magit-annex-autoloads.el

=== debian/changelog ===
magit-annex (1.8.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:38:33 +0900

magit-annex (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 16 Jan 2022 16:03:18 -0700

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,3 @@
 	dh_installchangelogs NEWS
 
 override_dh_auto_build:
-
-override_dh_auto_test:

## magit-annex 1.9.0

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,13 @@
 
 MAGIT_DIR ?= /dev/null
 TRANSIENT_DIR ?= /dev/null
+COMPAT_DIR ?= /dev/null
 DASH_DIR ?= /dev/null
 WITH_EDITOR_DIR ?= /dev/null
 EMACSBIN ?= emacs
 
-LOAD_PATH = -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) -L $(TRANSIENT_DIR) \
-	    -L $(MAGIT_DIR)
+LOAD_PATH = -L $(COMPAT_DIR) -L $(DASH_DIR) -L $(WITH_EDITOR_DIR) \
+	    -L $(TRANSIENT_DIR) -L $(MAGIT_DIR)
 BATCH = $(EMACSBIN) -Q --batch $(LOAD_PATH)
 
 all: magit-annex.elc magit-annex-autoloads.el
@@ -27,5 +28,8 @@
 
 %-autoloads.el: %.el
 	@$(BATCH) --eval \
-	"(let (make-backup-files) \
-	  (update-file-autoloads \"$(CURDIR)/$<\" t \"$(CURDIR)/$@\"))"
+	"(let ((make-backup-files nil)) \
+	   (if (fboundp 'loaddefs-generate) \
+	       (loaddefs-generate default-directory \"$@\" \
+				  (list \"magit-annex-tests.el\")) \
+	     (update-file-autoloads \"$(CURDIR)/$<\" t \"$(CURDIR)/$@\")))"

=== debian/changelog ===
magit-annex (1.9.0-2) unstable; urgency=medium

  * Adopt package (Closes: #1022012).
  * Bump Standards-Version to 4.7.2, no changes.
  * Add missing bug tracking fields to upstream metadata.

 -- Arto Jantunen <viiru@debian.org>  Thu, 17 Apr 2025 12:38:11 +0300

magit-annex (1.9.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
  * Drop build-dep on elpa-dash.
  * Patch magit-stage-file->magit-stage-files to fix tests with latest magit.
  * Orphan package.
  * Run 'wrap-and-sort -ast'.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.1.1, no changes needed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 04 Apr 2025 13:04:13 +0800

=== debian/control ===
Source: magit-annex
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-magit,
 elpa-transient,
 git-annex,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-annex
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-annex.git
Homepage: https://github.com/magit/magit-annex

Package: elpa-magit-annex
Architecture: all
Depends:
 emacsen-common (>= 2.0.8),
 git-annex,
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Suggests:
 elpa-git-annex,
Enhances:
 emacs,
 git-annex,
Description: git-annex subcommands for magit
 This package adds some git-annex subcommands to magit's interface,
 under the '@' prefix key.  See the descriptions of the git-annex and
 elpa-magit packages.
 .
 Some examples of operations supported by this package:
 .
   * adding untracked files with `git annex add`
   * displaying information about unused files listed by `git annex unused`
   * locking and unlocking files.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%magit-annex-$1.tar.gz%" \
    https://github.com/magit/magit-annex/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
